# ChangeLog for media-libs/svgalib
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/svgalib/ChangeLog,v 1.88 2010/10/06 08:37:33 flameeyes Exp $

  06 Oct 2010; Diego E. Pettenò <flameeyes@gentoo.org> metadata.xml:
  Fix metadata.

  04 Mar 2010; Christian Faulhammer <fauli@gentoo.org>
  svgalib-1.9.25-r1.ebuild:
  stable x86, bug 307679

*svgalib-1.9.25-r1 (22 Nov 2009)

  22 Nov 2009; Matthias Schwarzott <zzam@gentoo.org>
  +svgalib-1.9.25-r1.ebuild, +files/svgalib.udev.rules.d.2:
  Fix udev NAME=%k is superfluous warning, Bug #293963.

  23 Jul 2009; Víctor Ostorga <vostorga@gentoo.org> svgalib-1.9.25.ebuild,
  +files/svgalib-1.9.25-glibc210.patch:
  Fix compilation with glibc-2.10, wrt bug #274305
  Patch thanks to Markus Dittrich <markusle@gentoo.org>

  28 Feb 2009; Christian Faulhammer <fauli@gentoo.org>
  +files/svgalib-1.9.25-linux2.6.28.patch, metadata.xml,
  svgalib-1.9.25.ebuild:
  add patch from bug 252614 by Marco Leogrande <dark DOT knight DOT ita AT
  gmail DOT com> to fix compilation with Kernel 2.6.28. Also rename
  no-helper USE flag to kernel-helper and make it default with EAPI=1

  28 Oct 2008; Paul de Vrieze <pauldv@gentoo.org>
  files/svgalib-1.9.25-linux2.6.patch:
  Make svgalib work on 2.6.27. Fixes bug #242342, and thanks to Ed Catmur
  <ed@catmur.co.uk> in there for providing a patch.

  20 Oct 2008; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.25-build.patch:
  Dont strip GL libs #242076.

  14 Oct 2008; Thilo Bangert <bangert@gentoo.org> metadata.xml:
  there is no svgalib herd - changing to no-herd

  02 Oct 2008; Stephanie Lockwood-Childs <wormo@gentoo.org>
  files/svgalib-1.9.25-linux2.6.patch:
  Add lrmi patch to compile with kernels >= 2.6.26 (bug #235401, 
  fix posted by reporter pyrophobicman in related bug #235495)

  16 Aug 2008; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.25-linux2.6.patch:
  Fix from Brett Mravec for building with linux-2.6.26 #232117 by Marco
  Leogrande.

  10 Apr 2008; Mike Frysinger <vapier@gentoo.org> svgalib-1.9.25.ebuild:
  Drop MODULESD_SVGALIB_HELPER_ADDITIONS #214274.

  27 Jan 2008; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.25-linux2.6.patch:
  Fix building with linux-2.6.24 #207594 by Eric Bosch.

  30 Dec 2007; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.25-linux2.6.patch:
  Fix building with linux-2.6.23 #195632.

  12 Feb 2007; Mike Frysinger <vapier@gentoo.org> svgalib-1.9.24.ebuild,
  svgalib-1.9.25.ebuild:
  Remove devfs/udev hacks.

  03 Dec 2006; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.25-linux2.6.patch:
  Fix building with linux-2.6.19 #156799 by Vlastimil Babka (Caster).

  29 Sep 2006; <ticho@gentoo.org> svgalib-1.9.25.ebuild:
  Stable on x86, bug #148758.

  24 Sep 2006; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.25-build.patch, svgalib-1.9.25.ebuild:
  Fixup build system to not strip files #148758 by Markus Meier.

  17 Jul 2006; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.25-linux2.6.patch:
  Fix building with linux-2.6.18 #140674.

*svgalib-1.9.25 (16 Jul 2006)

  16 Jul 2006; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.25-gentoo.patch, +files/svgalib-1.9.25-linux2.6.patch,
  +svgalib-1.9.25.ebuild:
  Version bump #140448 by Michael Cramer.

  20 Jun 2006; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.24-linux2.6.patch:
  Fix building with linux-2.6.17 #137234 by Ivan Yosifov.

  04 Jun 2006; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.24-all_devices.patch, svgalib-1.9.24.ebuild:
  Fix by Pablo De Nápoli to make sure all_devices is an exported symbol
  #133936 by Walter Meinl.

  23 Apr 2006; John Mylchreest <johnm@gentoo.org> svgalib-1.9.24.ebuild:
  Honour kbuild_output correctly.

  12 Feb 2006; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.24-linux2.6.patch:
  Fix building on 2.4 kernels #122565 by André Terpstra.

*svgalib-1.9.24 (07 Feb 2006)

  07 Feb 2006; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.24-linux2.6.patch, +svgalib-1.9.24.ebuild:
  Version bump.

  04 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  files/svgalib-1.9.21-linux2.6.patch:
  Fix by Aquila for building with linux-2.6.15 #115316 by Martin Mokrejs.

*svgalib-1.9.23 (01 Nov 2005)

  01 Nov 2005; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.23-gentoo.patch, +svgalib-1.9.23.ebuild:
  Version bump.

*svgalib-1.9.21-r1 (11 Sep 2005)

  11 Sep 2005; Daniel Drake <dsd@gentoo.org> files/svgalib.udev.rules.d,
  -svgalib-1.9.21.ebuild, +svgalib-1.9.21-r1.ebuild:
  udev rules fix

  23 Aug 2005; Diego Pettenò <flameeyes@gentoo.org> svgalib-1.9.21.ebuild:
  Don't use cp -a.

  15 May 2005; Stefan Schweizer <genstef@gentoo.org> svgalib-1.9.21.ebuild:
  Fix compiling with portage-cvs

  07 May 2005; Mike Frysinger <vapier@gentoo.org> svgalib-1.9.21.ebuild:
  Add a local USE flag no-helper to allow people to use svgalib on non-x86
  arches w/out the helper module.

  07 May 2005; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib.udev.perms.d, +files/svgalib.udev.rules.d,
  svgalib-1.9.21.ebuild:
  Install permission files for udev only with older versions; use rules files
  for newer versions #91733 by John Mylchreest.

*svgalib-1.9.21 (24 Apr 2005)

  24 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.21-gentoo.patch, +files/svgalib-1.9.21-linux2.6.patch,
  +svgalib-1.9.21.ebuild:
  Version bump #90175 by Peter Gordon.

  06 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.19-gcc4.patch, svgalib-1.9.19-r3.ebuild:
  Add gcc-4 patch by Peter Gordon #80668.

*svgalib-1.9.19-r3 (23 Jan 2005)

  23 Jan 2005; Daniel Drake <dsd@gentoo.org> -svgalib-1.9.19-r2.ebuild,
  +svgalib-1.9.19-r3.ebuild:
  Really fix the devfs problem, by putting the new rules file in the right place.

*svgalib-1.9.19-r2 (23 Jan 2005)

  23 Jan 2005; Daniel Drake <dsd@gentoo.org>
  files/svgalib-1.9.19-linux2.6.patch, +svgalib-1.9.19-r2.ebuild:
  Fix bug #78894 by making sysfs support always activate on 2.6 no matter if
  devfs is enabled or not, and by restarting devfsd after merging to create the
  /dev/svga symlink. Also add a udev permissions file so that manual chmod is
  not needed, the user simply needs to be in the 'video' group.

  13 Jan 2005; Daniel Drake <dsd@gentoo.org> files/svgalib-1.9.19-devfs.patch:
  Fix devfs patch..

  12 Jan 2005; Daniel Drake <dsd@gentoo.org>
  +files/svgalib-1.9.19-devfs.patch, +files/svgalib.devfs,
  svgalib-1.9.19-r1.ebuild:
  Fix 2.6.10 compatibility, bug #77186

  15 Nov 2004; Mike Frysinger <vapier@gentoo.org> svgalib-1.9.19-r1.ebuild:
  Fix the buildcsr demo target to use the correct linking flags #71194.

  08 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.19-pci-get-class.patch, svgalib-1.9.19-r1.ebuild:
  Add patch to handle renaming of some PCI functions in newer kernels #69580.

*svgalib-1.9.19-r1 (09 Sep 2004)

  23 Sep 2004; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.19-dont-touch-ld.conf.patch, 
  svgalib-1.9.19-r1.ebuild:
  Dont let the ebuild touch /etc/ld.so.conf #64829 by huw jenkins.

  09 Sep 2004; Stefan Jones <cretin@gentoo.org> +svgalib-1.9.19-r1.ebuild,
  +files/digest-svgalib-1.9.19-r1, +files/svgalib-1.9.19-pic.patch:
  Fix bug #51698, -fPIC not used to compile lrmi thus prelink complains

  08 Aug 2004; Daniel Black <dragonheart@gentoo.org> +metadata.xml,
  -files/svgalib-1.4.3-gcc3.patch, -files/svgalib-1.4.3-gentoo.diff,
  -files/svgalib-1.4.3-linux2.6.patch, -files/svgalib-1.4.3-userpriv.patch,
  -files/svgalib-1.9.17-gentoo.patch, -files/svgalib-1.9.17-linux2.6.patch,
  -files/svgalib-1.9.17-modversions_h.patch, -svgalib-1.4.3-r4.ebuild,
  -svgalib-1.9.17-r3.ebuild, svgalib-1.9.18-r1.ebuild, svgalib-1.9.19.ebuild:
  Fixed CFLAFS typo. Removed empty /usr/man directory as per bug #46565. Remove
  old versions (a patch was too big)

  19 Jul 2004; Mike Frysinger <vapier@gentoo.org> svgalib-1.4.3-r4.ebuild,
  svgalib-1.9.17-r3.ebuild, svgalib-1.9.18-r1.ebuild, svgalib-1.9.19.ebuild:
  Fix long standing typo #57591.  thee -> three

  01 Jul 2004; Mike Frysinger <vapier@gentoo.org> svgalib-1.9.18-r1.ebuild,
  svgalib-1.9.19.ebuild:
  Fix the manpage location correctly #55790 by Antonio.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  svgalib-1.4.3-r4.ebuild, svgalib-1.9.17-r3.ebuild, svgalib-1.9.18-r1.ebuild,
  svgalib-1.9.19.ebuild:
  virtual/glibc -> virtual/libc

  26 Jun 2004; Marius Mauch <genone@gentoo.org> svgalib-1.9.18-r1.ebuild,
  svgalib-1.9.19.ebuild:
  QA fix: moving manpages to /usr/share/man

*svgalib-1.9.19 (22 Jun 2004)

  22 Jun 2004; Mike Frysinger <vapier@gentoo.org>
  -files/svgalib-1.9.18-linux2.6.patch, +files/svgalib-1.9.19-gentoo.patch,
  +files/svgalib-1.9.19-linux2.6.patch, svgalib-1.9.18-r1.ebuild,
  -svgalib-1.9.18.ebuild, +svgalib-1.9.19.ebuild:
  Version bumpage and cleanup #54465 by yuntaku@sunny-net.ne.jp.

  19 Jun 2004; Mike Frysinger <vapier@gentoo.org>
  +files/svgalib-1.9.18-lrmi-gentoo-cflags.patch,
  +files/svgalib-1.9.18-utils-include.patch, svgalib-1.9.18-r1.ebuild:
  Make sure the gcc always runs with $CFLAGS to fix #54198 by Simon Strandman
  and add a small patch so lrmi uses our $CFLAGS instead of -g.

  07 Jun 2004; Aron Griffis <agriffis@gentoo.org> svgalib-1.9.17-r3.ebuild:
  Fix use invocation

  30 May 2004; Mike Frysinger <vapier@gentoo.org> svgalib-1.9.18-r1.ebuild:
  Added support for new kbuild module building #50914 by J van der Wulp.

  12 May 2004; Alexander Gabert <pappy@gentoo.org> svgalib-1.4.3-r4.ebuild,
  svgalib-1.9.17-r3.ebuild, svgalib-1.9.18-r1.ebuild, svgalib-1.9.18.ebuild:
  removed hardened-gcc logic, added filter-flags logic

*svgalib-1.9.18-r1 (24 Feb 2004)

  28 Apr 2004; Mike Frysinger <vapier@gentoo.org> :
  Add gcc-3.4 patch #48930 by Holger.

  24 Feb 2004; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.18.ebuild:
  Some first time build fixes (cannot find libvga.so and libvgagl.so when
  building threeDKit and demos).  Hopefully fix module issues (bug #42522
  among others ...).

  24 Feb 2004; Mike Frysinger <vapier@gentoo.org> :
  Until linux 2.6 module building is sorted out, we disable the kernel module,
  bug #42522.

  23 Feb 2004; <plasmaroo@gentoo.org> files/svgalib-1.9.17-linux2.6.patch,
  files/svgalib-1.9.18-linux2.6.patch:
  Changed the detection method for 2.4 kernels in both of the compatibility
  patches; closes bug #42307.

  23 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  files/svgalib-1.9.18-linux2.6.patch:
  Fix bug #42644 (2.4.23 also uses irqreturn_t, so do not define it then).

  23 Feb 2004; Luca Barbato <lu_zero@gentoo.org> svgalib-1.9.18.ebuild:
  Workaround to let the kernel module compile on 2.6

  23 Feb 2004; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.18.ebuild,
  files/svgalib-1.9.18-gentoo.patch, files/svgalib-1.9.18-linux2.6.patch:
  Add a better fix for previous issue.  Cleanup svgalib-1.9.18-linux2.6.patch.

  23 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  files/svgalib-1.9.18-gentoo.patch:
  Fix module not installing for some weird reason after commit.

*svgalib-1.9.18 (22 Feb 2004)

  22 Feb 2004; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.18.ebuild,
  files/svgalib-1.9.18-gcc33.patch, files/svgalib-1.9.18-gentoo.patch,
  files/svgalib-1.9.18-linux2.6.patch:
  Update version. Fix compiles on 2.6 kernels. Add simple sysfs support for udev
  enabled systems.

  01 Feb 2004; <plasmaroo@gentoo.org> files/svgalib-1.9.17-linux2.6.patch:
  Updated the 2.6 patch to solve compilation issues on 2.6 headers. Closes bug
  #37812.

  17 Jan 2004; Mike Frysinger <vapier@gentoo.org>
  Add build to IUSE to control building of kernel module in stages #38403.

  09 Jan 2004; Mike Frysinger <vapier@gentoo.org> 
  svgalib-1.4.3-r4.ebuild svgalib-1.4.3-gcc3.patch svgalib-1.4.3-linux2.6.patch :
  Yeah it's old and crusty, but lets make it compile #23515.
  Remove the +s chmod-ing of demo files and stuff #35203.
  Add helpful die messages.
  Change the r128.c on mirrors to a bzip2 image ... sometimes text files arent
  transfered properly over http #23591.

  10 Oct 2003; Alexander Gabert <pappy@gentoo.org> svgalib-1.4.3-r4.ebuild:
  flags not needed any more, hardened-gcc propolice behaviour will be changed in
  2.4.3

  09 Oct 2003; Alexander Gabert <pappy@gentoo.org> svgalib-1.4.3-r4.ebuild,
  svgalib-1.9.17-r3.ebuild:
  added new hardened-gcc flags for hppa

  07 Sep 2003; Alexander Gabert <pappy@gentoo.org> svgalib-1.4.3-r4.ebuild,
  svgalib-1.9.17-r3.ebuild:
  added hardened-gcc exclude flags

*svgalib-1.9.17-r3 (06 Aug 2003)

  06 Aug 2003; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.17-r3.ebuild,
  files/svgalib-1.9.17-modversions_h.patch:
  Get modversions.h include right if we have CONFIG_MODVERSIONS set.
  Should really fix bugs #21340 and #25968.

  03 Aug 2003; Martin Schlemmer <azarah@gentoo.org>
  files/svgalib-1.9.17-linux2.6.patch:
  Cleanup linux-2.6 patch to not contain temp files.

*svgalib-1.9.17-r2 (03 Aug 2003)

  03 Aug 2003; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.17-r2.ebuild,
  files/svgalib-1.9.17-gentoo.patch, files/svgalib-1.9.17-linux2.6.patch:
  Patch svgalib_helper kernel module to work with linux-2.6 (note that I dropped
  all support for 2.5 kernel). Add patch for lineart demo to compile with
  gcc-3.3. Additional cleanups to the ebuild.

  31 Dec 2002; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.17-r1.ebuild :
  Ok, I should not be lazy, patch Makefile in svga_helper module, as my
  previous hack seems to fail for some people ... (bug #11092).

*svgalib-1.9.17-r1 (29 Dec 2002)

  29 Dec 2002; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.17-r1.ebuild :
  Get this beast to build with kernel 2.5, bug #11092.

*svgalib-1.9.17 (26 Dec 2002)

  26 Dec 2002; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.17-r1.ebuild :
  Update version.

*svgalib-1.4.3-r4 (26 Dec 2002)

  16 Mar 2003; Alastair Tse <liquidx@gentoo.org> svgalib-1.4.3-r4.ebuild,
  files/svgalib-1.4.3-userpriv.patch:
  fix userpriv problem with makefile

  26 Dec 2002; Martin Schlemmer <azarah@gentoo.org> svgalib-1.4.3-r4.ebuild :
  Update r128 driver, bug #10987.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> :
  Changed sparc ~sparc keywords
 
*svgalib-1.4.3-r3 (03 Dec 2002)

  03 Dec 2002; Martin Schlemmer <azarah@gentoo.org> svgalib-1.4.3-r3.ebuild :
  Add preplib to src_install() to fix bug #10383.

  21 Nov 2002; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.16.ebuild :
  Add missing 'dodir /etc/modules.d'.

*svgalib-1.9.16 (20 Nov 2002)

  13 Dec 2002; Stefan Jones <cretin@gentoo.org> svgalib-1.9.16-gentoo.diff :
  Made all files compile with -fPIC, fixes prelink warnings.

  20 Nov 2002; Martin Schlemmer <azarah@gentoo.org> svgalib-1.9.16.ebuild :
  New version, thanks to great work of Javier Marcet <jmarcet@pobox.com>,
  closing bug #10525.

*svgalib-1.4.3 (30 Apr 2002)

  03 Nov 2002; Arcady Genkin <agenkin@gentoo.org> svgalib-1.4.3-r2.ebuild :
  Install the demo programs that come with the library.

  22 May 2002; Arcady Genkin <agenkin@gentoo.org> svgalib-1.4.3-r1.ebuild :
  Creates directory /etc/vga.
	
  30 Apr 2002; Seemant Kulleen <seemant@gentoo.org> svgalib-1.4.3.ebuild :

  Fixed sandbox violation, because the makefile does not understand that
  /usr/include can be relocated for a fake install.
